Переполнение буфера в Cube Engine

Дата публикации:
10.03.2006
Всего просмотров:
1567
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-1100
CVE-2006-1101
CVE-2006-1102
CVE-2006-1103
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CUBE Engine
Уязвимые версии: Cube Engine 2005_08_29 и более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и выполнить произвольный код на целевой системе.

1. Ошибка при проверке границ обнаружена в функции "sgetstr()" во время копирования данных в буфер фиксированного размера. Удаленный пользователь может с помощью специально сформированного запроса вызвать переполнение буфера и выполнить произвольный код на целевой системе.

2. Ошибка при проверке границ обнаружена в функциях "sgetstr()" и "getint()". Удаленный пользователь может с помощью специально сформированного запроса аварийно завершить работу приложения.

Пример/Эксплоит: см. источник сообщения.

URL производителя: www.cubeengine.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Multiple vulnerabilities in Cube engine 2005_08_29

или введите имя

CAPTCHA